SeExpr

Public Member Functions | Public Attributes | List of all members
SeExpr2::GlobalFP Struct Reference
Inheritance diagram for SeExpr2::GlobalFP:

## Public Member Functions
| GlobalFP (const std::string &varName, int dim)
void | eval (double *result)
| returns this variable's value by setting result More...
void | eval (const char **result)
bool | isVec ()
Public Member Functions inherited from SeExpr2::GlobalVal
| GlobalVal (const std::string &varName, const SeExpr2::ExprType &et)
Public Member Functions inherited from SeExpr2::ExprVarRef
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...

## Public Attributes
std::vector< double > | val
Public Attributes inherited from SeExpr2::GlobalVal
std::set< DExpression * > | users
std::string | varName

## Detailed Description

Definition at line 29 of file ExprMultiExpr.cpp.

## Constructor & Destructor Documentation

## ◆ GlobalFP()

SeExpr2::GlobalFP::GlobalFP | ( | const std::string & | varName,
|  | int | dim
| ) |  |
| inline

Definition at line 30 of file ExprMultiExpr.cpp.

References val.

## Member Function Documentation

## ◆ eval() [1/2]

void SeExpr2::GlobalFP::eval | ( | const char ** | result | ) |
| inline virtual

Implements SeExpr2::ExprVarRef.

Definition at line 38 of file ExprMultiExpr.cpp.

## ◆ eval() [2/2]

void SeExpr2::GlobalFP::eval | ( | double * | result | ) |
| inline virtual

returns this variable's value by setting result

Implements SeExpr2::ExprVarRef.

Definition at line 35 of file ExprMultiExpr.cpp.

References SeExpr2::ExprType::dim(), SeExpr2::ExprVarRef::type(), and val.

## ◆ isVec()

bool SeExpr2::GlobalFP::isVec | ( |  | ) |
| inline

Definition at line 39 of file ExprMultiExpr.cpp.

References SeExpr2::ExprType::dim(), and SeExpr2::ExprVarRef::type().

## Member Data Documentation

## ◆ val

std::vector<double> SeExpr2::GlobalFP::val

Definition at line 34 of file ExprMultiExpr.cpp.

Referenced by eval(), SeExpr2::DExpression::eval(), SeExpr2::Expressions::evalFP(), GlobalFP(), SeExpr2::Expressions::setLoopVariable(), and SeExpr2::Expressions::setVariable().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprMultiExpr.cpp